Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-8731

mark MultiTermAwareComponent as deprecated (7.x and 7.7 only)

    XMLWordPrintableJSON

    Details

    • Type: Wish
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 7.7.2
    • Component/s: None
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      MultiTermAwareComponent is one of several hundred classes tagged as @lucene.experimental i.e. it is understood that it might change in incompatible ways in the next release. Since in this case it is specifically known from LUCENE-8497 that the class is removed in 8.0 onwards I think it would be nice to mark it as deprecated, sign-posting readers to replacement details. Proposed patch to follow.

        Attachments

        1. LUCENE-8731.patch
          0.9 kB
          Christine Poerschke
        2. LUCENE-8731.patch
          0.8 kB
          Christine Poerschke

          Issue Links

            Activity

              People

              • Assignee:
                cpoerschke Christine Poerschke
                Reporter:
                cpoerschke Christine Poerschke
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: